.TH "discover_bus_map" 3 "28 Jul 2005" "discover" \" -*- nroff -*-
.ad l
.nh
.SH NAME
discover_bus_map \- 
.SH SYNOPSIS
.br
.PP
\fC#include <discover.h>\fP
.PP
.SS "Data Fields"

.in +1c
.ti -1c
.RI "char * \fBname\fP"
.br
.ti -1c
.RI "int \fBscan_default\fP"
.br
.ti -1c
.RI "int \fBscan_never\fP"
.br
.ti -1c
.RI "\fBdiscover_sysdep_raw_func_t\fP * \fBget_raw\fP"
.br
.in -1c
.SH "Detailed Description"
.PP 
Bus scanning information is loaded from the config file. The scan_default member may be set to 0 to avoid scanning a specified bus. If the scan_never flag is set, the bus will never be scanned; this behavior is controlled from the config file.
.PP
The function pointer exists to allow client code to override the sysdeps; it is used by the unit tests provided with Discover. 
.PP
Definition at line 178 of file discover.h.
.SH "Field Documentation"
.PP 
.SS "\fBdiscover_sysdep_raw_func_t\fP* \fBdiscover_bus_map::get_raw\fP"
.PP
Function pointer that will acquire data 
.PP
Definition at line 186 of file discover.h.
.PP
Referenced by discover_get_devices().
.SS "char* \fBdiscover_bus_map::name\fP"
.PP
Human-readable name 
.PP
Definition at line 180 of file discover.h.
.PP
Referenced by discover_conf_get_bus_name().
.SS "int \fBdiscover_bus_map::scan_default\fP"
.PP
Boolean (sort of) defining the bus's default behavior 
.PP
Definition at line 182 of file discover.h.
.SS "int \fBdiscover_bus_map::scan_never\fP"
.PP
Never scan this bus if true 
.PP
Definition at line 184 of file discover.h.
.PP
Referenced by discover_get_devices().

.SH "Author"
.PP 
Generated automatically by Doxygen for discover from the source code.
